                          Computer Science 101
                               Quiz 1      Name ______________________

   ----- PLEASE ALSO WRITE YOUR NAME OF THE BACK OF THE PAPER ------
   ----- PLEASE DO NOT FOLD THE PAPER                         ------
   ----- You may leave when you finish                        ------

1. Which of the following is NOT one of the three major classes of hardware
   components found in a computer system:

   a. processing elements                  b. programming elements

   c. storage elements                     d. communication elements

2. Which of the following is NOT part of the instruction set of the "human
   computer" discussed in class.

   a. halt                                 b. sub

   c. jumpc                                d. start

3. Consider the adding program given in the notes:

Box
0  store 100,103       !Store the upper limit of 100 in box 103
1  store 0,100         !Initialize the sum of all values added so far to  0
2  store 1,101         !Initialize the value to be added to be 1 initially
3  store 1,102         !We also need a value to increment the value to be added
4  add 101,100,100     !add contents of box 101 to box 100 leaving sum in 100
5  add 102,101,101     !increment the value to be added to box 100 by 1
6  jumpc 101,le,103,4  !as long as the value in box 101 is less than or equal
                       !to the limit 103 continue to add
7  halt

What will be the values in box 100 and 101 the third time the
instruction in box 6 is executed?

 box 100 =              box 101 =


4. The effect of the human computer instruction
   add 20,30,60
   is to:

   a. store a 50 in box 60                 b. store a 90 in box 20

   c. store the sum of the values          d. store the sum of the values
      found in boxes 20 and 30 in             found in boxes 60 and 30 in
      box 60.                                 box 20.


